Bug 634946 - [abrt] fedpkg-0.5.1.4-1.fc13: __init__.py:1718:_callMethod:AuthError: Invalid session or bad credentials
Summary: [abrt] fedpkg-0.5.1.4-1.fc13: __init__.py:1718:_callMethod:AuthError: Invalid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aba3d935
Depends On:
Blocks: 668889
TreeView+ depends on / blocked
 
Reported: 2010-09-17 12:11 UTC by Peter Robinson
Modified: 2013-01-10 06:13 UTC (History)
4 users (show)

Fixed In Version: fedora-packager-0.5.2.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 668889 (view as bug list)
Environment:
Last Closed: 2011-01-19 21:05:11 UTC


Attachments (Terms of Use)
File: backtrace (1.37 KB, text/plain)
2010-09-17 12:11 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2010-09-17 12:11:02 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg build
comment: It might be that the session to koji had timed out or something like that.
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.34.6-54.fc13.x86_64
package: fedpkg-0.5.1.4-1.fc13
reason: __init__.py:1718:_callMethod:AuthError: Invalid session or bad credentials
release: Fedora release 13 (Goddard)
time: 1284725287
uid: 500

backtrace
-----
__init__.py:1718:_callMethod:AuthError: Invalid session or bad credentials

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1086, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 335, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 211, in _watch_koji_tasks
    for child in session.getTaskChildren(task_id):
  File "/usr/lib/python2.6/site-packages/koji/__init__.py", line 1468, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.6/site-packages/koji/__init__.py", line 1718, in _callMethod
    raise err
AuthError: Invalid session or bad credentials

Local variables in innermost frame:
args: (2472807,)
e: Error([('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE', 'certificate verify failed')],)
name: 'getTaskChildren'
err: AuthError('Invalid session or bad credentials',)
url: 'https://koji.fedoraproject.org/kojihub?session-id=3966804&session-key=672-zThKt5NJpFF0HNzh3OQ&callnum=129'
fault: <Fault 1002: 'Invalid session or bad credentials'>
self: <koji.ClientSession object at 0x19d9b10>
interval: 20
tries: 6
max_retries: 30
proxy: <ServerProxy for koji.fedoraproject.org/kojihub?session-id=3966804&session-key=672-zThKt5NJpFF0HNzh3OQ&callnum=129>
kwargs: {}
debug: False
sinfo: {'session-id': 3966804, 'session-key': '672-zThKt5NJpFF0HNzh3OQ', 'callnum': 129}

How to reproduce
-----
1. Run 'fedpkg build'
2. Ensure build makes it to koji
3. suspend laptop to go to lunch with Adam at FUDCon
4. resume laptop
5. reconnect to wifi
6. fedpkg crashes

Comment 1 Peter Robinson 2010-09-17 12:11:04 UTC
Created attachment 447985 [details]
File: backtrace

Comment 2 Peter Robinson 2010-09-17 12:12:36 UTC
The output on the command line was:

[perobinson@neo gupnp-av]$ fedpkg build
Building gupnp-av-0.6.0-1.fc14 for dist-f14-updates-candidate
Created task: 2472802
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2472802
Watching tasks (this may be safely interrupted)...
2472802 build (dist-f14-updates-candidate, /gupnp-av:bd938d2ad825391efa3a58af51e4522d9de5319c): free
2472802 build (dist-f14-updates-candidate, /gupnp-av:bd938d2ad825391efa3a58af51e4522d9de5319c): free -> open (x86-07.phx2.fedoraproject.org)
  2472803 buildSRPMFromSCM (/gupnp-av:bd938d2ad825391efa3a58af51e4522d9de5319c): open (x86-11.phx2.fedoraproject.org)
  2472803 buildSRPMFromSCM (/gupnp-av:bd938d2ad825391efa3a58af51e4522d9de5319c): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  2472807 buildArch (gupnp-av-0.6.0-1.fc14.src.rpm, i686): open (x86-11.phx2.fedoraproject.org)
  2472806 buildArch (gupnp-av-0.6.0-1.fc14.src.rpm, x86_64): open (x86-04.phx2.fedoraproject.org)
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1086, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 335, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 211, in _watch_koji_tasks
    for child in session.getTaskChildren(task_id):
  File "/usr/lib/python2.6/site-packages/koji/__init__.py", line 1468, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.6/site-packages/koji/__init__.py", line 1718, in _callMethod
    raise err
koji.AuthError: Invalid session or bad credentials
[perobinson@neo gupnp-av]$

Comment 3 Jesse Keating 2010-09-17 13:27:14 UTC
As discussed, I need to catch this error and report it rather than tracing back.  Will look at /usr/bin/koji to see how they do it.

Comment 4 Jesse Keating 2010-12-02 23:42:07 UTC
Committed some code upstream to fix this in fedpkg.  koji suffers the same problem, discussing fix there.

Comment 5 Dwayne Bailey 2010-12-22 16:45:38 UTC
Package: fedpkg-0.5.1.4-5.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Not sure how to reproduce
2.
3.

Comment 6 Fedora Update System 2011-01-06 18:50:28 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 7 Fedora Update System 2011-01-06 19:01:37 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 8 Fedora Update System 2011-01-06 19:03:59 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 9 Fedora Update System 2011-01-07 17:35:33 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 10 Richard W.M. Jones 2011-01-11 22:18:27 UTC
Package: fedpkg-0.5.1.4-5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. fedpkg build
2. database crashed / outage
3.

Comment 11 Richard W.M. Jones 2011-01-11 22:20:26 UTC
__init__.py:1718:_callMethod:ServerOffline: database outage

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1086, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 335, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 201, in _watch_koji_tasks
    changed = task.update()
  File "/usr/bin/fedpkg", line 88, in update
    self.info = self.session.getTaskInfo(self.id, request=True)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1468, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1718, in _callMethod
    raise err
ServerOffline: database outage

Local variables in innermost frame:
args: (2715998, {'__starstar': True, 'request': True})
name: 'getTaskInfo'
err: ServerOffline('database outage',)
url: 'https://koji.fedoraproject.org/kojihub?session-id=4489827&session-key=458-kHtYl9AMk1hZakwogn5&callnum=222'
fault: <Fault 1014: 'database outage'>
self: <koji.ClientSession object at 0x150c090>
interval: 20
tries: 1
max_retries: 30
proxy: <ServerProxy for koji.fedoraproject.org/kojihub?session-id=4489827&session-key=458-kHtYl9AMk1hZakwogn5&callnum=222>
kwargs: {'request': True}
debug: False
sinfo: {'session-id': 4489827, 'session-key': '458-kHtYl9AMk1hZakwogn5', 'callnum': 222}

Comment 12 Jesse Keating 2011-01-11 22:51:52 UTC
Ugh, that's cute abrt.  That traceback is different.  Time to clone...

Comment 13 Fedora Update System 2011-01-19 21:04:23 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-01-31 15:52:33 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-01-31 19:55:13 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.